Page MenuHomePhabricator

CX2: Reduce duplicate code between trackers for issues and content modifications
Closed, ResolvedPublic

Description

Content Translation keeps track of information about the paragraphs of the translation. This includes the percentage of modified machine translation (T190279), and the issues (errors and warnings) that may be associate with a paragraph (T189488).

As these pieces were developed, several opportunities to reduce code duplication were identified. The current ticket is to perform the refactoring needed to reduce such duplication. This will facilitate the development of future tickets to support new kinds of issues.


As the refactoring is done, we may want to account for future functionality that may have an impact on how the code is organized such as:

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterRefactor save tracker and merge with translation tracker
mediawiki/extensions/ContentTranslation : masterShow issue cards when they are relevant

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2018, 8:55 AM
Pginer-WMF triaged this task as High priority.Jul 24 2018, 8:55 AM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-July-September board.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Jul 30 2018, 12:15 PM

Change 449500 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Refactor save tracker and merge with translation tracker

https://gerrit.wikimedia.org/r/449500

https://gerrit.wikimedia.org/r/449500 does not address the whole ticket. It refactored the save tracker alone. Remaining opportunities to unify the trackers:

  1. The data we save in between MT changes, trackd in ve.init.CXTarget class(contentSourceCache)
  2. Issue tracker(WIP in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/+/445042 by @Petar.petkovic )

Change 445042 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Show issue cards when they are relevant

https://gerrit.wikimedia.org/r/445042

Change 445042 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show issue cards when they are relevant

https://gerrit.wikimedia.org/r/445042

santhosh claimed this task.Aug 7 2018, 7:23 AM

Change 449500 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Refactor save tracker and merge with translation tracker

https://gerrit.wikimedia.org/r/449500

Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic removed a subscriber: gerritbot.

Nothing else to test. Code is also deployed in production.

Petar.petkovic closed this task as Resolved.Sep 7 2018, 6:10 AM

Nothing else to test. Code is also deployed in production.